# MMAP_Memory_Pool.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/ACE.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Signal.h"`
`#include "ace/Mem_Map.h"`

Include dependency graph for MMAP_Memory_Pool.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_MMAP_Memory_Pool_Options
| Helper class for MMAP Memory Pool constructor options. More...
class | ACE_MMAP_Memory_Pool
| Make a memory pool that is based on `mmap(2)`. This implementation allows memory to be shared between processes. More...
class | ACE_Lite_MMAP_Memory_Pool
| Make a ``lighter-weight'' memory pool based <ace_mem_map>. More...

## Detailed Description

Id
  MMAP_Memory_Pool.h,v 4.6 2005/11/26 03:13:13 ossama Exp

Author:
  Dougls C. Schmidt <schmidt@cs.wustl.edu>

  Prashant Jain <pjain@cs.wustl.edu>